# $Revision: 1.98 $, $Date: 2002/09/11 11:48:51 $
Summary:	SQUID Internet Object Cache
Summary(es):	proxy/cache para www/ftp/gopher
Summary(pl):	Uniwersalny proxy-cache server
Summary(pt_BR):	Cache Squid de objetos Internet
Summary(ru):	Squid -   Internet
Summary(uk):	Squid -  'Ԧ Internet
Summary(zh_CN):	SQUID ٻ.
Name:		squid
Version:	2.4.STABLE7
Release:	6
Epoch:		6
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://www.squid-cache.org/Versions/v2/2.4/%{name}-%{version}-src.tar.gz
Source1:	%{name}-1.1.19-faq.tar.gz
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Source4:	http://cache.is.co.za/%{name}-docs.tar.gz
Source5:	%{name}.conf.patch
Source6:	%{name}.logrotate
Source7:	%{name}.pamd
# Bug fixes from Squid home page:
Patch0:		http://www.squid-cache.org/Versions/v2/2.4/bugs/squid-2.4.STABLE7-msntauth.patch
# Other patches:
Patch10:	%{name}-perl.patch
Patch11:	%{name}-linux.patch
Patch12:	%{name}-fhs.patch
Patch13:	%{name}-location.patch
Patch14:	%{name}-domainmatch.patch
Patch15:	%{name}-libnsl_fixes.patch
Patch16:	%{name}-more_FD.patch
Patch17:	%{name}-ac_fix.patch
BuildRequires:	autoconf
BuildRequires:	openldap-devel
BuildRequires:	pam-devel
PreReq:		rc-scripts >= 0.2.0
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(post,preun):	/sbin/chkconfig
Requires(post):	fileutils
Requires(post):	findutils
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/%{name}
%define		_sysconfdir	/etc/%{name}

%description
Squid is a high-performance proxy caching server for web clients,
supporting FTP, gopher, and HTTP data objects. Unlike traditional
caching software, Squid handles all requests in a single,
non-blocking, I/O-driven process. Squid keeps meta data and especially
hot objects cached in RAM, caches DNS lookups, supports non-blocking
DNS lookups, and implements negative caching of failed requests. If
you are tight on memory, check out the NOVM version of this package.
Squid supports SSL, extensive access controls, and full request
logging. By using the lightweight Internet Cache Protocol, Squid
caches can be arranged in a hierarchy or mesh for additional bandwidth
savings. Squid consists of a main server program squid, a Domain Name
System lookup program dnsserver, a program for retrieving FTP data
ftpget, and some management and client tools. When squid starts up, it
spawns a configurable number of dnsserver processes, each of which can
perform a single, blocking Domain Name System (DNS) lookup. This
reduces the amount of time the cache waits for DNS lookups. Squid is
derived from the ARPA-funded Harvest project.

%description -l es
Squid es un servidor proxy con cach de alto desempeo para clientes
web, soportando FTP, gopher y HTTP. Diferentemente de softwares
tradicionales de cach squid manipula todas las requisiciones en un
nico proceso sin bloqueos, direccionado a E/S. Mantienen metadatos y
objetos frecuentemente pedidos en uno cach en memoria RAM. Hace cach
de resoluciones DNS, soporta resoluciones DNS sin bloqueo y implementa
un cach negativo de requisiciones que fallen. Si tiene poca memoria
da un vistazo en la versin NOVM de este paquete. Tambin soporta SSL,
controles extensivos de acceso y registro (log) completo de las
requisiciones. Usando el ligero Protocolo de Caches Internet (ICP)
puede ser usado en una jerarqua de servidores para mayor ahorro de la
banda de comunicacin. Est compuesto del programa squid (servidor
principal), del programa dnsserver (para resolucin DNS), del programa
ftpget (para transmisiones ftp) y otras herramientas clientes y para
administracin. Cuando squid se inicia, dispara un nmero configurable
de procesos dnsserver, cada uno pudiendo ejecutar solamente una
resolucin DNS con poder de bloquear. Esto reduce el tiempo que el
cach espera por resoluciones DNS. Fue derivado del proyecto Harvest,
financiado por la ARPA.

%description -l pl
Squid jest wysoce wydajnym serwerem proxy-cache dla przegldarek WWW,
klientw FTP i gopher. Squid przechowuje najczciej pobierane dane w
pamici RAM i zapamituje odwoania do DNS. Squid oferuje wsparcie dla
SSL, rozbudowan kontrol dostpu oraz pene rejestrowanie pobieranych
danych. Dziki uyciu protokou ICP (Internet Cache Protocol), serwer
squid mona czy w hierarchi, zwikszajc ich efektywno. Pakiet
squid obejmuje: gwny program serwera squid, program dostarczajcy
informacji z DNS dnsserver, program odbierajcy dane FTP ftpget, oraz
pomocnicze programy do zarzdzania. Squid wywodzi si ze
sponsorowanego przez ARPA projektu Harvest.

%description -l pt_BR
O Squid  um servidor proxy com cache de alta performance para
clientes web, suportando FTP, gopher e HTTP. Diferentemente de
softwares tradicionais de cache o squid manipula todas as requisies
em um nico processo sem bloqueios, direcionado a E/S.

Mantm meta dados e objetos freqentemente pedidos num cache em
memria RAM. Faz cache de resolues DNS, suporta resolues DNS sem
bloqueio e implementa um cache negativo de requisies que falharem.
Se voc tem pouca memria d uma olhada na verso NOVM deste pacote.

Tambm suporta SSL, controles extensivos de acesso e registro (log)
completo das requisies. Usando o leve Protocolo de Caches Internet
(ICP) ele pode ser usado em uma hierarquia de servidores para maior
economia de banda de comunicao.

Ele consiste do programa squid (servidor principal), do programa
dnsserver (para resoluo DNS), do programa ftpget (para transmisses
ftp) e outras ferramentas clientes e para gerenciamento. Quando o
squid  inicializado ele dispara um nmero configurvel de processos
dnsserver, cada um podendo executar somente uma resoluo DNS
bloqueante. Isto reduz o tempo que o cache espera por resolues DNS.

Foi derivado do projeto Harvest, financiado pela ARPA.

%description -l ru
Squid -    - 
 web,     FTP, gopher  HTTP. 
    , Squid  
    , 
- .

        ICMP-
(Netdb).

%description -l uk
Squid -   Ӧ-  web-̦Ԧ,  Цդ
'   FTP, gopher  HTTP.  צͦ צ æ
 , Squid Ѥ Ӧ    
,  - .

    Ц    ICMP-
(Netdb).

%package cachemgr
Summary:	CGI script for Squid management
Summary(pl):	Skrypt CGI do zarzdzania Squidem przez WWW
Group:		Networking/Admin
Requires:	%{name} = %{version}
Requires:	httpd

%description cachemgr
Cachemgr.cgi is a CGI script that allows administrator to chceck
various informations about Squid via WWW.

%description cachemgr -l pl
Cachemgr.cgi jest skryptem CGI, ktry pozwala administratorowi
zapozna si z informacjami o pracy Squida poprzez WWW.

%package ldap_auth
Summary:	LDAP authentication helper for Squid
Summary(pl):	Wsparcie autentykacji LDAP dla squida
Group:		Networking/Admin
Requires:	%{name}

%description ldap_auth
This Squid helper allows authentication against LDAP directories using
the "simple authentication" (plain-text).

%description ldap_auth -l pl
Pakiet ten pozwala na autentykacj LDAP za pomoc prostej autentykacji
(otwartym tekstem).

%package pam_auth
Summary:	PAM authentication helper for Squid
Summary(pl):	Wsparcie autentykacji PAM dla squida
Group:		Networking/Admin
Requires:	%{name}

%description pam_auth
This program authenticates users against a PAM configured
authentication service "squid". This allows you to authenticate Squid
users to any authentication source for which you have a PAM module.

%description pam_auth -l pl
Program ten pozwala na autentykacj uytkownikw squida w dowolnym
rdle posiadajcym modu PAM.

%package smb_auth
Summary:	SMB authentication helper for Squid
Summary(pl):	Wsparcie autentykacji SMB dla squida
Group:		Networking/Admin
Requires:	%{name}

%description smb_auth
This is a proxy authentication module. With smb_auth you can
authenticate proxy users against an SMB server like Windows NT or
Samba.

%description smb_auth -l pl
To jest modu autentykacji proxy. Z smb_auth moesz autentyfikowa
uytkownikw proxy na serwerach SMB, jak Windows NT czy Samba.

%package msnt_auth
Summary:	MSNT domain authentication helper for Squid
Summary(pl):	Wsparcie autentykacji domen MSNT dla squida
Group:		Networking/Admin
Requires:	%{name}

%description msnt_auth
This is an authentication module for the Squid proxy server to 
authenticate users on an NT domain.

%description msnt_auth -l pl
Jest to modu autentykacji proxy, ktry pozwala na autentyfikowanie
uytkownikw proxy w domenie NT.

%package yp_auth
Summary:	YP authentication helper for Squid
Summary(pl):	Wsparcie autentykacji YP dla squida
Group:		Networking/Admin
Requires:	%{name}

%description yp_auth
This is an authentication module for the Squid proxy server to
authenticate users on YP.

%description yp_auth -l pl
Jest to modu autentykacji proxy, ktry pozwala na autentyfikowanie
uytkownikw proxy poprzez YP.

%prep
%setup -q -a 1 -a 4

# Bug fixes from Squid home page:
%patch0 -p1

# Other patches:
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1

%build
%{__autoconf}
%configure \
	--localstatedir=/var \
	--enable-icmp \
	--enable-useragent-log \
	--enable-snmp \
	--enable-arp-acl \
	--enable-err-language=English \
	--enable-htcp \
	--enable-carp \
	--enable-storeio="aufs,coss,diskd,null,ufs" \
	--enable-removal-policies="lru heap" \
	--disable-ipf-transparent \
	--enable-delay-pools \
	--with-pthreads \
	--enable-cache-digests \
	--with-auth-modules=yes
# for 2.4 kernel:
#	--enable-linux-netfilter\

mv -f squid/* doc
%{__make}

%{__make} -C auth_modules SUBDIRS="LDAP MSNT NCSA PAM SMB YP getpwnam"

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT/home/httpd/cgi-bin \
	$RPM_BUILD_ROOT/etc/{pam.d,rc.d/init.d,security,sysconfig,logrotate.d} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_libexecdir}/{contrib,auth_modules}} \
	$RPM_BUILD_ROOT%{_mandir}/{man1,man8} \
	$RPM_BUILD_ROOT%{_datadir}/squid \
	$RPM_BUILD_ROOT/var/{cache,log{,/archiv}}/squid

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT/etc/squid \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	libexecdir=$RPM_BUILD_ROOT%{_bindir} \
	localstatedir=$RPM_BUILD_ROOT/var \
	datadir=$RPM_BUILD_ROOT%{_datadir}

# We don't use %{__make} install-pinger, because it tries to set it suid root.
install src/pinger $RPM_BUILD_ROOT%{_bindir}

mv -f contrib/*.pl $RPM_BUILD_ROOT%{_libexecdir}/contrib

# auth modules
install auth_modules/LDAP/squid_ldap_auth	$RPM_BUILD_ROOT%{_libexecdir}/auth_modules
install auth_modules/LDAP/squid_ldap_auth.8	$RPM_BUILD_ROOT%{_mandir}/man8
install auth_modules/SMB/smb_auth		$RPM_BUILD_ROOT%{_libexecdir}/auth_modules
install auth_modules/MSNT/msnt_auth		$RPM_BUILD_ROOT%{_libexecdir}/auth_modules
install auth_modules/YP/yp_auth			$RPM_BUILD_ROOT%{_libexecdir}/auth_modules
install auth_modules/PAM/pam_auth		$RPM_BUILD_ROOT%{_libexecdir}/auth_modules
install %{SOURCE7}				$RPM_BUILD_ROOT/etc/pam.d/squid
touch $RPM_BUILD_ROOT/etc/security/blacklist.squid

mv -f $RPM_BUILD_ROOT%{_bindir}/cachemgr.cgi $RPM_BUILD_ROOT/home/httpd/cgi-bin
mv -f $RPM_BUILD_ROOT%{_bindir}/squid	$RPM_BUILD_ROOT%{_sbindir}/
mv -f $RPM_BUILD_ROOT/etc/squid/icons	$RPM_BUILD_ROOT%{_datadir}/squid

cd errors
for LNG in *; do
	if [ -d $LNG ]; then
		mv -f $LNG $RPM_BUILD_ROOT%{_datadir}/squid/errors.$LNG
	fi
done
cd ..

cd $RPM_BUILD_ROOT/etc/squid
cp -f squid.conf{,.default}
patch -p0 < %{SOURCE5}
cd -

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/squid
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/squid
install %{SOURCE6} $RPM_BUILD_ROOT/etc/logrotate.d/squid

install scripts/*.pl $RPM_BUILD_ROOT%{_libexecdir}

touch $RPM_BUILD_ROOT/var/log/squid/{access,cache,store}.log

# These two files start squid. They are replaced by /etc/rc.d/init.d script.
rm -f $RPM_BUILD_ROOT%{_bindir}/R*

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`getgid squid`" ]; then
	if [ "`getgid squid`" != "91" ]; then
		echo "Error: group squid doesn't have gid=91. Correct this before installing squid." 1>&2
		exit 1
	fi
else
	/usr/sbin/groupadd -g 91 -r -f squid 1>&2 || :
fi
if [ -n "`id -u squid 2>/dev/null`" ]; then
	if [ "`id -u squid`" != "91" ]; then
		echo "Error: user squid doesn't have uid=91. Correct this before installing squid." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -M -o -r -u 91 -s /bin/false \
		-g squid -c "SQUID http caching daemon" -d /var/cache/squid squid 1>&2 || :
fi

%post
try_link() {
# If there is already link, don't do anything.
if [ ! -e %{_datadir}/squid/errors ]; then

    # Try to create link to Polish, and then any directory but English.
    if [ -d %{_datadir}/squid/errors.Polish ]; then
	ln -sf %{_datadir}/squid/errors{.Polish,}
	return
    else
	find %{_datadir}/squid/errors/ -type d -name 'errors.*'| while read NAME; do
	    if [ $NAME != "English" ]; then
		ln -sf $NAME %{_datadir}/squid/errors
		return
	    fi
	done
    fi

    # Create symlink to English if everything else fails.
    ln -sf %{_datadir}/squid/errors{.English,}
fi
}

try_link
if [ "$1" = "1" ]; then
	/sbin/chkconfig --add squid
	echo "Run \"/etc/rc.d/init.d/squid start\" to start squid." >&2
else
	if [ -f /var/lock/subsys/squid ]; then
		/etc/rc.d/init.d/squid restart >&2
	fi
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/squid ]; then
		/etc/rc.d/init.d/squid stop >&2
	fi
	/sbin/chkconfig --del squid
	rm -f %{_datadir}/squid/errors
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/userdel squid
	/usr/sbin/groupdel squid
fi
				
%files
%defattr(644,root,root,755)
%doc faq CONTRIBUTORS COPYRIGHT CREDITS README ChangeLog QUICKSTART TODO
%doc doc/*
%attr(755,root,root) %{_bindir}/client
%attr(755,root,root) %{_bindir}/diskd
# YES, it has to be suid root, it sends ICMP packets.
%attr(4754,root,squid) %{_bindir}/pinger
%attr(755,root,root) %{_bindir}/unlinkd
%attr(755,root,root) %{_sbindir}/*

%attr(755,root,root) %dir %{_sysconfdir}

%attr(754,root,root) /etc/rc.d/init.d/squid
%attr(640,root,root) %config(noreplace) /etc/logrotate.d/squid
%attr(640,root,squid) %config(noreplace) /etc/sysconfig/squid
%attr(640,root,squid) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/squid.conf
%attr(640,root,squid) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mime.conf
%attr(640,root,root) %{_sysconfdir}/mime.conf.default
%attr(640,root,root) %{_sysconfdir}/squid.conf.default

%dir %{_datadir}/squid
%{_datadir}/squid/icons
%{_datadir}/squid/mib.txt
%lang(bg) %{_datadir}/squid/errors.Bulgarian
%lang(cs) %{_datadir}/squid/errors.Czech
%lang(da) %{_datadir}/squid/errors.Danish
%lang(nl) %{_datadir}/squid/errors.Dutch
%{_datadir}/squid/errors.English
%lang(et) %{_datadir}/squid/errors.Estonian
%lang(fi) %{_datadir}/squid/errors.Finnish
%lang(fr) %{_datadir}/squid/errors.French
%lang(de) %{_datadir}/squid/errors.German
%lang(hu) %{_datadir}/squid/errors.Hungarian
%lang(it) %{_datadir}/squid/errors.Italian
%lang(ja) %{_datadir}/squid/errors.Japanese
%lang(ko) %{_datadir}/squid/errors.Korean
%lang(pl) %{_datadir}/squid/errors.Polish
%lang(pt) %{_datadir}/squid/errors.Portuguese
%lang(ro) %{_datadir}/squid/errors.Romanian
%lang(ru) %{_datadir}/squid/errors.Russian-1251
%lang(ru) %{_datadir}/squid/errors.Russian-koi8-r
%lang(zh) %{_datadir}/squid/errors.Simplify_Chinese
%lang(sk) %{_datadir}/squid/errors.Slovak
%lang(es) %{_datadir}/squid/errors.Spanish
%lang(sv) %{_datadir}/squid/errors.Swedish
%lang(zh) %{_datadir}/squid/errors.Traditional_Chinese
%lang(tr) %{_datadir}/squid/errors.Turkish

%attr(755,root,root) %dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/*.pl
%attr(755,root,root) %{_libexecdir}/contrib
%attr(755,root,root) %dir %{_libexecdir}/auth_modules

%attr(770,root,squid) %dir /var/log/archiv/squid
%attr(770,root,squid) %dir /var/log/squid
%attr(660,root,squid) %ghost /var/log/squid/*

%attr(770,root,squid) %dir /var/cache/squid

%files cachemgr
%defattr(644,root,root,755)
%attr(755,root,root) /home/httpd/cgi-bin/*

%files ldap_auth
%defattr(644,root,root,755)
%doc auth_modules/LDAP/README
%attr(755,root,root) %{_libexecdir}/auth_modules/%{name}_ldap_auth
%attr(644,root,root) %{_mandir}/man8/%{name}_ldap_auth.*

%files pam_auth
%defattr(644,root,root,755)
%doc auth_modules/PAM/pam_auth.c
%config(noreplace) /etc/pam.d/squid
%config(noreplace) /etc/security/blacklist.squid
%attr(755,root,root) %{_libexecdir}/auth_modules/pam_auth

%files smb_auth
%defattr(644,root,root,755)
%doc auth_modules/SMB/{README,Changelog,smb_auth.sh}
%doc auth_modules/multi-domain-NTLM/*
%attr(755,root,root) %{_libexecdir}/auth_modules/smb_auth

%files msnt_auth
%defattr(644,root,root,755)
%doc auth_modules/MSNT/README*
%attr(755,root,root) %{_libexecdir}/auth_modules/msnt_auth

%files yp_auth
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/auth_modules/yp_auth

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: squid.spec,v $
Revision 1.98  2002/09/11 11:48:51  qboosh
- fixed %%pre (changed to apache-like), added %%postun
- added Requires(post)
- release 6

Revision 1.97  2002/08/26 09:44:14  qboosh
- fixed broken %%post; release 5

Revision 1.96  2002/08/23 09:28:44  qboosh
- changed /usr/lib/squid{,/*} perms to 755, so squid can access it; release 4

Revision 1.95  2002/08/19 13:40:09  blues
license fix

Revision 1.94  2002/08/16 23:52:19  qboosh
- added missing dir, release 3

Revision 1.93  2002/07/17 18:29:58  blues
- 2 new autentication subpackages
- some cleanups

Revision 1.92  2002/07/17 17:51:45  blues
- release 2
- added patch from main squid site
- finished new doc; more docs
STBR

Revision 1.91  2002/07/04 23:14:26  blues
- ac_fix - allow compile with autoconf >2.5
STBRKJM! buggy

Revision 1.90  2002/07/02 19:42:46  kloczek
- merge translations from TurboLinux.

Revision 1.89  2002/07/02 19:40:09  kloczek
- use new %doc,
- added default configuration files for PAM authentication squid module.

Revision 1.88  2002/07/02 19:23:09  lukasz
- updated to 2.4.STABLE7

Revision 1.87  2002/06/22 23:11:13  kloczek
- merge translations from Conectiva.

Revision 1.86  2002/05/21 23:14:46  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.85  2002/04/02 20:05:16  kloczek
- release 2.

Revision 1.84  2002/03/31 15:04:53  alchemyx
- patch allowing use of 4096 file descriptors instead of 1024; patch from
  Blues; works fine - tested on heavily loaded proxy

Revision 1.83  2002/03/22 21:17:56  kloczek
- merge translations from KSI.

Revision 1.82  2002/03/22 09:00:12  mkierus
- update to Squid-2.4.STABLE6 (bug fix)

Revision 1.81  2002/02/22 23:29:45  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.80  2002/02/21 16:39:39  mkochano
- Release 1.
- Updated to 2.4.STABLE4. This is a SECURITY FIX.
STBR ASAP

Revision 1.79  2002/02/19 18:53:35  gotar
- %desc

Revision 1.78  2002/01/18 02:15:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.77  2002/01/03 04:44:33  kloczek
- updated to 2.4.STABLE3 (bug fix release),
- removed obsoleted patches.

Revision 1.76  2001/12/12 16:19:30  blues
- added config(noreplace) to logrotate-file

Revision 1.75  2001/12/03 19:53:11  blues
- release 6
- added many bugfixes from squid page.

Revision 1.74  2001/11/04 12:53:57  grzegorz
- reverting last changes

Revision 1.73  2001/11/03 12:12:24  grzegorz
- changing %%attr(4750,root,squid) for %%{_bindir}/pinger,
  for what was r for others?

Revision 1.72  2001/10/12 19:05:20  kloczek
- added {openldap,pam}-devel to BuildRequires,
- added libnsl_fixes patch for only YP auth module with libnsl.

Revision 1.71  2001/10/12 14:53:48  mis
- added auth modules (PAM, LDAP and SMB); release 5

Revision 1.70  2001/09/25 13:27:02  qboosh
- release 4: Prereq: /sbin/chkconfig

Revision 1.69  2001/09/21 23:00:17  raven
- added patch which fix mkdir-only PUT requests DoS

Revision 1.68  2001/09/21 02:46:33  kloczek
- removed Prereq: /sbin/chkconfig,
- added autoconf to BuildRequires.

Revision 1.67  2001/09/20 15:30:42  grzegorz
- adding init usage to squid.init 'squid -z'
- release 2

Revision 1.66  2001/08/28 03:22:44  kloczek
- spec adapterized.

Revision 1.65  2001/08/28 00:30:01  mkochano
- Release 1.
- Updated to 2.4STABLE2.
- All bugfixes removed --- merged with sources.
- Disabled ipf-transparent. THIS IS FOR BSD SYSTEMS NOT FOR LINUX.
- Fixed typo.

Revision 1.64  2001/08/04 15:14:28  migo
- typo: sybsys->subsys

Revision 1.63  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.61  2001/04/22 22:58:54  mkochano
- Release 4.
- Six new patches from squid web site.
- Patches from squid web site are applied before PLD paches, beacause they
  will be merged with source on new release, so they should be considered part
  of the source.

Revision 1.60  2001/04/09 08:26:52  mkochano
- Release 3.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.59  2001/04/08 02:56:22  blues
- changed group /etc/sysconfig/squid - it's squid now . Without that
squid was crushing while rotating.

Revision 1.58  2001/04/04 00:27:41  kloczek
- release 2,
- changed permission on pinger to 4754/root.squid - now this programa is
  avalaible only for squid.

Revision 1.57  2001/03/31 21:01:49  blues
- changed pinger group

Revision 1.56  2001/03/31 20:11:31  blues
- enabled internal dns
- typo in group making
- added commented options in configure for kernel 2.4

Revision 1.55  2001/03/31 08:19:29  blues
- typo in squid
- added %post in lilo - I'm sick of running every time lilo manually...

Revision 1.54  2001/03/22 22:44:39  mkochano
- Updated to 2.4.STABLE1.
- Release 1.
- Removed squid-2.0-make.patch patch. It has been merged with sources.
- squid-fhs.patch has been updated for current version of squid.
- Removed squid-mktemp.patch. Now ./configure detects best supported method to
  create tmp files.
- Removed bugfixing patches. They were merged with sources.
- --enable-heap-replacement ./configure option has been replaced with
  --enable-removal-policies="lru heap" as it should be done now.
- Added --enable-storeio="aufs coss diskd null ufs" ./configure option.
- Added following ./configure options: --enable-delay-pools, --with-pthreads
  (needed to link correctly), --enable-cache-digests.
- $RPM_BUILD_ROOT/var/log/squid is created durning build so empty log files in
  this directory can be created.
- Installation of pinger is done.
- There is no PLD specific config file provided. Instead, there is patch for
  config file comming with squid. I hope it will make easier updating config
  file when new options are introduced.
- squid.conf belongs to squid group, so it can be readed by squid durning
  reconfiguration (reload).
- /etc/rc.d/init.d/squid has been modified to provide real reload option
  (not stop/start sequence).
- Changed default cache direcotry type from ufs to diskd. They are compatible,
  so no rebuild is needed but diskd driver (with separate process performing
  i/o) is several times faster.

Revision 1.53  2001/03/02 18:13:01  kloczek
- release 10: merge domainmatch, location, mktemp patches from rawhide.

Revision 1.52  2001/03/02 17:06:32  mkochano
- Release 8.
- Another bugfix from Squid web site.
- Original config file is now patched instaed being replaced with one from
  PLD. If some new options are added to config file, they will not be lost,
  and there still is a chance, that patch will apply.

Revision 1.51  2001/02/01 16:27:35  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.50  2000/12/12 18:54:37  kloczek
- release 7.

Revision 1.49  2000/12/11 20:52:29  misiek
/bin/false shell. Thanks to Marek Kolczyk.

Revision 1.48  2000/12/04 06:49:17  kloczek
- added Epoch: 6 (for allow upgrade from RH version).

Revision 1.47  2000/12/02 19:23:13  mkochano
- Release 6.
- Three more bugfixes from squid's web site.

Revision 1.46  2000/09/23 13:19:39  kloczek
- adapterized.

Revision 1.45  2000/09/22 22:05:07  newrom
- Release 5
- enabled transparent proxy support
- enabled delay-pools

Revision 1.44  2000/08/16 17:45:48  mkochano
- Two more bugfixes from squid's web site.
- Release 4.

Revision 1.43  2000/08/11 21:53:58  kloczek
- adapterized.

Revision 1.42  2000/08/11 20:45:09  marcus

- added LFUDA and external dnsserver support

Revision 1.41  2000/08/07 10:04:26  mkochano
- One more bugfix from squid's web site.
- Release 2.

Revision 1.40  2000/07/21 18:11:45  mkochano
- Updated to 2.3.STABLE4.
- Added patch from squid web site.

Revision 1.39  2000/07/12 18:32:23  mkochano
- One more bufgix from squid's homepage.
- Release 3.

Revision 1.38  2000/06/12 09:13:46  kloczek
- release 2.

Revision 1.37  2000/06/10 13:19:13  jajcus
- little fix

Revision 1.36  2000/06/10 13:12:48  jajcus
- changed uid and gid to squid
- all files owned by root (safer)

Revision 1.35  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.34  2000/05/19 19:46:48  kloczek
- Group changed from Daemons to Networking/Daemons,
- spec adapterized,
- removed COPYING from %doc (clear copyright statment is in License field).

Revision 1.33  2000/05/19 17:37:39  mkochano
- Updated to 2.3STABLE3.

Revision 1.32  2000/05/07 00:35:30  mkochano
- Release++

Revision 1.31  2000/05/07 00:32:28  mkochano
- One more bug fix from squid's web site (Bogus Age header on IMS_HIT
  replies).

Revision 1.30  2000/05/05 15:06:01  mis
- Group: synced with PLD groups

Revision 1.29  2000/04/23 11:35:09  mkochano
- Updated squid.init (uses 'daemon' and honors $SERVICE_RUN_NICE_LEVEL).
- One more patch from squid's web site.
- Release++

Revision 1.28  2000/04/08 12:09:43  mkochano
- One more bugfix from Squid's web site.
- Release++.

Revision 1.27  2000/04/05 23:31:00  wiget
- fix %post script

Revision 1.26  2000/04/05 09:21:18  kloczek
- "Requires: rc-scripts >= 0.2.0".

Revision 1.25  2000/04/04 19:50:23  mkochano
- Two more bugfixes from Squids home page.
- Release++.

Revision 1.24  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.22  2000/03/25 18:26:38  kloczek
- added "Requires: httpd" for cachemgr.

Revision 1.21  2000/03/25 16:02:54  kloczek
- s/Require/Requires/.

Revision 1.20  2000/03/25 14:31:03  kloczek
- spec adapterized,
- added "Require: %%{name} = %%{version}" for cachemgr subpackage,
- cosmetics.

Revision 1.19  2000/03/24 18:18:06  mkochano
- Group of /etc/squid/mime.conf changed to 'nobody'. Squid works as
  'nobody.nobody', but must be able to read this file.

Revision 1.18  2000/03/23 22:28:55  mkochano
- Updated to 2.3.STABLE2.
- Updated source URI.
- Calamaris moved to separate package.
- Removed fix.pl - it's no longer needed.
- Error messages marked with '%lang'. English messages are installed allways
  (as fallback).
- %post script creates symlink '/usr/share/squid/errors' to one of the
  follownig directories (in this order):
  * Polish.
  * Any found, but neither Polish nor English.
  * English.
  This isn't ideal solution, but I think person using squid is clever enough
  to change symlink to match his needs ;) .
- There is no manual page for squid.
- Perl scripts in contrib directory aren't compressed.
- 'squid.conf' updated for 2.3.STABLE2 with following changes:
  * Effective group "nobody".
  * Enabled logging to /var/log/squid/{access,cache,store}.log
  * Disabled internal log-rotating.
- Some perl scripts moved from %doc to %{_libexecdir}/contrib. In source
  tarball they are in 'contrib' direcotry.
- Uses logrotate instaed of built-in rotation mechanism - built-in version
  can't compress and place old logs in different directory.
- Added patches for known bugs (from Squid home page).
- Squid effective id is "nobody.nobody".
- Cachemgr.cgi moved to separated package (caching proxy doesn't have to be a
  http server).
- Cache directories are no longer initialized from /etc/rc.d/init.d/squid
  script.
  * This isn't good idea to configure same thing (where cache dirs. are
    placed) in two files (sysconfig/squid and squid.conf).
  * This is done once.

Revision 1.17  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.16  1999/10/15 07:00:55  waszi
- crontab.c -> cron.d

Revision 1.15  1999/09/11 14:08:21  misiek
- fixed requires (PR#58)

Revision 1.14  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue Jan 26 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.1-PATCH2-5d]
- rebuild against new kernel-2.2.0.

* Thu Jan 21 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.1-PATCH2-4d]
- fixed files permissions,
- fixed init-script,
- another minor changes.

* Sun Jan 10 1999 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
  [2.1-PATCH2-2d]
- added manual
- created mixed Polish-English errors
- fixed directory permisions

* Tue Oct 06 1998 Marcin Korzonek <mkorz@shadow.eu.org>
  [2.0-1d]
- spec modified for version 2.0 and PLD standards

* Sat Sep 05 1998 Marcin Korzonek <mkorz@shadow.eu.org>
- do make packages conflict witch each other ;)
- removed squid-novm section (squid-novm is now build from its own spec)
- moved config dir to /etc/squid
- translations modified for pl
- built against glibc 2.1
- changed files permission
- added calamaris.pl for log processing
- added squid.log for logrotate
